Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.crs.transformations.coordinate
Class CRSTransformation

    java.lang.Object
      org.deegree.crs.Identifiable
          org.deegree.crs.transformations.Transformation
              org.deegree.crs.transformations.coordinate.CRSTransformation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ConcatenatedTransform, DirectTransform, GeocentricTransform, MatrixTransform, NotSupportedTransformation, ProjectionTransform

    public abstract class CRSTransformation

extends Transformation

The change of coordinates from one CRS to another CRS based on different datum is 'currently' only possible via a coordinate `Transformation`.

The transformation parameters could only be derived empirically by a set of points common to both coordinate reference systems it means by identical points. Choice, allocation, number and the quality of coordinates of the points affect extensive the results and the accuracy. Therefore different realizations for transformations from one datum to another exist.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`CRSTransformation(CoordinateSystem sourceCRS, CoordinateSystem targetCRS, Identifiable id)`

Method Summary

Methods inherited from class org.deegree.crs.transformations.Transformation
`areInverse, createFromTo, doTransform, doTransform, doTransform, getImplementationName, getSourceCRS, getSourceDimension, getTargetCRS, getTargetDimension, getTransformationName, getTransformationPath, inverse, isIdentity, isInverseTransform, setSourceCRS`

Methods inherited from class org.deegree.crs.Identifiable
`checkForNullObject, checkForNullObject, checkForNullObject, equals, getAreaOfUse, getAreaOfUseBBox, getAreasOfUse, getDescription, getDescriptions, getIdAndName, getIdentifier, getIdentifiers, getName, getNames, getVersion, getVersions, hasID, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CRSTransformation

    public CRSTransformation(CoordinateSystem sourceCRS,
                             CoordinateSystem targetCRS,
                             Identifiable id)

Parameters:
  `sourceCRS` -
  `targetCRS` -
  `id` - an identifiable instance containing information about this transformation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org